Macro
SEQAN_ENABLE_TESTING
Indicates whether testing is enabled.
SEQAN_ENABLE_DEBUG
Remarks
When enabled (set to 1), testing is enabled. This means the macros for the tests (SEQAN_BEGIN_TESTSUITE, SEQAN_DEFINE_TEST, SEQAN_CALL_TEST, and SEQAN_END_TESTSUITE) will be enabled. This makes failing assertions raise exceptions instead of call abort() and enables checkpoints.
By default, this is set to 0.
If SEQAN_ENABLE_CHECKPOINTS is not defined before including <seqan/basic.h>, then SEQAN_ENABLE_CHECKPOINTS will be set to the value of SEQAN_ENABLE_TESTING (after the default initialization to 0).
If you want to change this value, you have to define this value before including any SeqAn header.
If set to 1 then SEQAN_ENABLE_TESTING is force-set to 0 as well.
See Also
SEQAN_ENABLE_DEBUG, SEQAN_ENABLE_CHECKPOINTS
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59